{% extends "base.html" %}
{% block title %} Afficher Mail{% endblock %}
{% block body %}
<div class="container">
	<div class="col-md-12">
		<table class="table table-responsive-sm">
            {% if data %}
				<thead>
					<tr>
						<th class="" >
						  Id
						</th>
						<th class="" >
						  Nom
						</th>
						<th class="" >
						  Prénom
						</th>
						<th class="" >
						  Date de naissance
						</th>
                    </tr>
				</thead>
			{% endif %}
			{% for row in data %}
			<tbody>
				<tr>
					  <th class="align-middle">
						  {{ row.ID_Mail }}
					  </th>
					  <th class="align-middle">
						{{ row.Nom_Mail }}
					  </th>
                    <th class="align-middle">
						<img class="img" src={{ row.cover_link_mail|default(None, True) }} style="border: 0;display:block; width:150px; max-height:auto;"  alt = "image masquée FFP3 (in COVID-19 Memory) (absente) mod 104">
					  </th>
					  <th class="align-middle">
						<a class="btn btn-primary" href="{{ url_for('avertissement_sympa_pour_geeks') }}" role="button">Ajouter</a>
					  </th>
					  <th class="align-middle">
						<a class="btn btn-warning" href="{{ url_for('avertissement_sympa_pour_geeks') }}" role="button">Edit</a>
					  </th>
					  <th class="align-middle">
						<a class="btn btn-danger" href="{{ url_for('avertissement_sympa_pour_geeks') }}" role="button">Delete</a>
					  </th>
					<tr>
						<td class="align-middle">
							<a class="btn btn-warning" href="{{ url_for('edit_avoir_mail_selected', id_avoir_mails_edit_html=row.Id_Mail) }}" role="button">Modifier</a>
						</td>
						<td class="align-middle" colspan="5">
							{{ row.|default("PAS DE GENRES", True) }}
						</td>
					</tr>
				</tr>
			</tbody>
			{% else %}
				<tbody>
					<tr>
						<td>
							Aucun mail.
						</td>
						<td>
							<a class="btn btn-primary" href="{{ url_for('avertissement_sympa_pour_geeks') }}" role="button">Add</a>
						</td>
					</tr>
				</tbody>
			{% endfor %}

		</table>
	</div>
</div>
{% endblock %}
